Skip to main content
GET
/
subscription_configs
List subscription configurations
curl --request GET \
  --url https://api.lava.so/v1/subscription_configs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "subscription_config_id": "<string>",
      "merchant_id": "<string>",
      "name": "<string>",
      "period_amount": "<string>",
      "included_credit": "<string>",
      "billing_interval": "day",
      "rollover_type": "full",
      "bundle_rollover_type": "full",
      "linked_meters": [
        {
          "meter_id": "<string>",
          "name": "<string>"
        }
      ],
      "credit_bundles": [
        {
          "credit_bundle_id": "<string>",
          "name": "<string>",
          "cost": "<string>",
          "credit_amount": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication used for standard API calls. Format: 'Bearer YOUR_API_KEY'

Query Parameters

cursor
string

Pagination cursor from a previous response

limit
integer
default:10

Maximum number of results to return (1-100)

Required range: 1 <= x <= 100

Response

List of subscription configurations

data
object[]
has_more
boolean
next_cursor
string